Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0042110
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Invoices Register Bookmajoralways2019-10-24 10:352020-10-26 14:04
ReportermaiteView Statuspublic 
Assigned ToMery Anelo 
PriorityurgentResolutionopenFixed in Version
StatusscheduledFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned To
Regression introduced in release
Summary

0042110: "C_Tax Parent is NULL" validation not met by "C_Tax_Id_Vat" column, in Invoice Register Book Lines table

DescriptionWhen a Tax Rate is composed of an IVA tax and an Equivalent Charge tax, only one line in Invoice Register Book is created, containing information from both taxes.

In those cases, "VAT Tax" field is not correctly set as parent tax rate should be set to meet validation defined for this column
Steps To Reproduce0. Install the latest version of the following modules:
  - Taxes for Spain
  - Invoices Register Book
  - Configuracion Libros de Facturas
1. Apply datasets and ensure that "Entregas IVA+RE 21+5.2% (+5.2%)" rate has been configured as Equivalent Charge=YES
2. Register Sales Invoice for "F&B España - Región Norte" organization, any BP, today's date
3. Add an invoice line for any product and qty. Set tax "Entregas IVA+RE 21+5.2% "
4. Process and Post invoice
5. Create a new record in "Invoice Register Book" window for
  - "F&B España, S.A" organization
  - Invoice REgister book = Libro de Facturas Emitidas 2016
  - Year = 2019
  - Period from = oct 19
  - Period to = oct 19
6. Run "Create" process and realize that line related with your invoice has been added. Open line in form view and check that VAT Tax has been set to "**Entregas IVA+RE 21+5.2% (+21%)" and it is shown with **
Proposed SolutionParent tax "Entregas IVA+RE 21+5.2%" should be set, so we ensure that validation is met
TagsNo tags attached.
Attached Filesjpg file icon issue_42110.jpg [^] (72,916 bytes) 2019-11-08 14:43

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0115481)
psanjuan (manager)
2019-11-08 14:43

see image
(0121816)
Mery Anelo (developer)
2020-08-05 01:56

Test Plan:

-. Install the latest version of the following modules:
  - Taxes for Spain
  - Invoices Register Book
  - Configuracion Libros de Facturas
-. Apply datasets and ensure that "Entregas IVA+RE 21+5.2% (+5.2%)" rate has been configured as Equivalent Charge=YES
-. Register Sales Invoice for "F&B España - Región Norte" organization, any BP, today's date
-. Add an invoice line for any product and qty. Set tax "Entregas IVA+RE 21+5.2% "
-. Process and Post invoice
-. Create a new record in "Invoice Register Book" window for
  - "F&B España, S.A" organization
  - Invoice REgister book = Libro de Facturas Emitidas 2016
  - Year = 2019
  - Period from = oct 19
  - Period to = oct 19
-. Run "Create" process and realize that line related with your invoice has been added. Open line in form view and check that VAT Tax has been set correct, without "**"
(0122240)
hgbot (developer)
2020-08-21 12:55

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.invoicesregisterbook/-/merge_requests/1 [^]
(0122241)
hgbot (developer)
2020-08-21 13:06

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.invoicesregisterbook [^]
Changeset: e7a98ef3926d3406c538963b9abc90516abcb1cb
Author: Mery Anelo <mery.anelo@smfconsulting.es>
Date: 2020-08-21T12:43:07+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.invoicesregisterbook/-/commit/e7a98ef3926d3406c538963b9abc90516abcb1cb [^]

Fixed bug 42110: Invoice Register Book Lines with Parent Tax.

Set the parent VAT in case the line has a compound tax.

---
M src/org/openbravo/module/invoicesregisterbook/obirb_actionButton/CreateBookLines.java
---
(0122242)
hgbot (developer)
2020-08-21 13:06

Merge request merged: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.invoicesregisterbook/-/merge_requests/1 [^]
(0122246)
vmromanos (manager)
2020-08-21 13:18

Missing cash vat module fix
(0122247)
hgbot (developer)
2020-08-21 13:38

Repository: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.invoicesregisterbook [^]
Changeset: b97e2aff7537f38e2a2588782d26437ec01e886d
Author: Víctor Martínez Romanos <victor.martinez@openbravo.com>
Date: 2020-08-21T13:34:45+02:00
URL: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.invoicesregisterbook/-/commit/b97e2aff7537f38e2a2588782d26437ec01e886d [^]

Related to ISSUE-42110: backout previous changeset e7a98ef

The change might be risky as this field is used by the 340 report.
Temporary backout this change till we ensure the fix doesn't create a
conflict with child lease/real estate taxes

---
M src/org/openbravo/module/invoicesregisterbook/obirb_actionButton/CreateBookLines.java
---
(0123289)
psanjuan (manager)
2020-09-22 14:16

There is not need to support 340 tax form in Spain any longer.
(0123554)
hgbot (developer)
2020-10-05 16:52

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.module.invoicesregisterbook-cashvat/-/merge_requests/2 [^]

- Issue History
Date Modified Username Field Change
2019-10-24 10:35 maite New Issue
2019-10-24 10:35 maite Assigned To => Triage Finance
2019-10-24 10:35 maite Issue Monitored: networkb
2019-10-24 12:58 Sandrahuguet Assigned To Triage Finance => psanjuan
2019-11-07 10:22 psanjuan Assigned To psanjuan => Jorge Bravo
2019-11-07 12:46 Jorge Bravo Assigned To Jorge Bravo => Mery Anelo
2019-11-08 14:43 psanjuan Note Added: 0115481
2019-11-08 14:43 psanjuan File Added: issue_42110.jpg
2020-08-05 01:56 Mery Anelo Note Added: 0121816
2020-08-05 01:56 Mery Anelo Status new => scheduled
2020-08-21 12:55 hgbot Note Added: 0122240
2020-08-21 13:06 hgbot Resolution open => fixed
2020-08-21 13:06 hgbot Status scheduled => closed
2020-08-21 13:06 hgbot Note Added: 0122241
2020-08-21 13:06 hgbot Note Added: 0122242
2020-08-21 13:18 vmromanos Note Added: 0122246
2020-08-21 13:18 vmromanos Status closed => new
2020-08-21 13:18 vmromanos Resolution fixed => open
2020-08-21 13:38 hgbot Note Added: 0122247
2020-09-22 14:16 psanjuan Note Added: 0123289
2020-10-05 16:52 hgbot Note Added: 0123554
2020-10-26 14:04 Mery Anelo Status new => scheduled


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker